Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class TextDecorationProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.ListProperty
              org.apache.fop.fo.properties.TextDecorationProperty

public class TextDecorationProperty
extends ListProperty

Special list property for text-decoration.

Nested Class Summary
`static class` | `TextDecorationProperty.Maker` Inner class for creating instances of ListProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.ListProperty
`list`

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Constructor Summary
`TextDecorationProperty(ListProperty listProp)` Constructs a new instance by converting a ListProperty.

Methods inherited from class org.apache.fop.fo.properties.ListProperty
`addProperty, getList, getObject`

Methods inherited from class org.apache.fop.fo.properties.Property
`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextDecorationProperty

    public TextDecorationProperty(ListProperty listProp)
                           throws PropertyException

  Constructs a new instance by converting a ListProperty.

Parameters:
  `listProp` - the ListProperty to be converted
Throws:
  `PropertyException` - in case the conversion fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.